Package org.eclipse.emf.cdo.view

# Class CDORegistrationHandler.Default

java.lang.Object
org.eclipse.emf.cdo.view.CDORegistrationHandler.Default

All Implemented Interfaces:
  `CDORegistrationHandler`

Enclosing interface:
  `CDORegistrationHandler`

public static class CDORegistrationHandler.Default extends Object implements CDORegistrationHandler
A concrete default implementation of `CDORegistrationHandler`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDORegistrationHandler

`CDORegistrationHandler.Default`

## Constructor Summary

Constructors
Constructor
Description
`Default(CDOView view)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`protected void`
`doDispose(CDOView view)`
`protected void`
`doInitialize(CDOView view)`
`final CDOView`
`getView()`
`final boolean`
`isDisposed()`
`void`
`objectCollected(CDOView view, CDOID id)`
Called by the view for each garbage-collected object.
`void`
`objectDeregistered(CDOView view, CDOObject object)`
Called by the view for each deregistered object.
`void`
`objectRegistered(CDOView view, CDOObject object)`
Called by the view for each registered object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Default

public Default(CDOView view)

## Method Details

### getView

public final CDOView getView()

### isDisposed

public final boolean isDisposed()

### dispose

public void dispose()

### objectRegistered

public void objectRegistered(CDOView view, CDOObject object)
Called by the view for each registered object.

Also called during initialization for already loaded objects; `isDisposed()` returns `true` in these cases.

Specified by:
  `objectRegistered` in interface `CDORegistrationHandler`

### objectDeregistered

public void objectDeregistered(CDOView view, CDOObject object)
Called by the view for each deregistered object.

Also called during dispose for already loaded objects; `isDisposed()` returns `true` in these cases.

Specified by:
  `objectDeregistered` in interface `CDORegistrationHandler`

### objectCollected

public void objectCollected(CDOView view, CDOID id)
Called by the view for each garbage-collected object.

Specified by:
  `objectCollected` in interface `CDORegistrationHandler`

### doInitialize

protected void doInitialize(CDOView view)

### doDispose

protected void doDispose(CDOView view)